package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;


/**
 * @ClassName : BEH0456
 * @Description :  既往史缺食物中毒史
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class BEH0456 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getBeHospitalizedDoc() == null) {
            return;
        }
        Map<String, String> bhMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
        if (bhMap != null) {
            String birthDate = bhMap.get("药物食物中毒史");
            if (birthDate != null) {
                if (CatalogueUtil.isEmpty(birthDate)) {
                    status.set("-1");
                }
            } else {
                status.set("-1");
            }
        }

    }
}